build CI image:
  stage: prepare
  extends:
  - .rules:build-ci-image:merge-requests
  - .docker_in_docker
  parallel:
    matrix:
      - ARCH: [ arm64, amd64 ]
  tags: [ "saas-linux-medium-${ARCH}" ]
  script:
  - apk add --no-cache make
  - make build-ci-image
  environment:
    name: staging
